<?php

namespace App\Domain\Media\Migrations;

use App\Framework\Database\ConnectionInterface;
use App\Framework\Database\Migration\Migration;

final readonly class AddSizeToImageVariantsTable implements Migration
{

    public function up(ConnectionInterface $connection): void
    {
        $connection->execute("ALTER TABLE image_variants ADD COLUMN size VARCHAR(25) NOT NULL DEFAULT ''");
    }

    public function down(ConnectionInterface $connection): void
    {
        $connection->execute("ALTER TABLE image_variants DROP COLUMN size");
    }

    public function getVersion(): string
    {
        return "005";
    }

    public function getDescription(): string
    {
        return "Add Size to Image Slot Table";
    }
}
